---
title: Card tokens
slug: apis/payments/cos-card-payments/card-token-apis/card-tokens
description: Explore our comprehensive guide on creating a card token via API, detailing required parameters, response codes, and language-specific implementation examples.
icon: {"apiMethod":"POST"}
docTags: 
createdAt: 2025-09-28T09:55:08.810Z
---

## Relevant webhooks

For this endpoint be sure you have [registered](docId\:BN5XtgkJogBe-CtwomCbS) for these webhooks:

- [CardPayments.Card.Approved](docId\:wso2E9CMh8zs8PyIjC-7r)
- [CardPayments.Card.Rejected](docId\:wso2E9CMh8zs8PyIjC-7r)&#x20;

## API reference

Post a card token. Created a new card token for the given information.

:::ApiMethodV2
```json
{
  "name": "Endpoint: /cardpayments/v1/cardtokens",
  "method": "POST",
  "url": "https://sandbox.crbcos.com/cardpayments/v1/cardtokens",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "ckTCt4rHFVdUjg71k-Lxf",
        "language": "curl",
        "code": "curl --location 'https://sandbox.crbcos.com/cardpayments/v1/cardtokens' \\\n--header 'Content-Type: application/json' \\\n--header 'Accept: application/json' \\\n--header 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IkJSSVlRbmpPXzZac3JSR1dqb2JBNmR2XzNpVSIsIng1dCI6IkJSSVlRbmpPXzZac3JSR1dqb2JBNmR2XzNpVSIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJodHRwczovL2lkcHRlc3QuY3JiY29zLmNvbSIsIm5iZiI6MTc3NjA3NjQxOCwiaWF0IjoxNzc2MDc2NDE4LCJleHAiOjE3NzYwNzgyMTgsImF1ZCI6WyJodHRwczovL2FwaS5jcmJjb3MuY29tLyIsImh0dHBzOi8vaWRwdGVzdC5jcmJjb3MuY29tL3Jlc291cmNlcyJdLCJzY29wZSI6WyJvcGVuaWQiLCJodHRwczovL2FwaS5jcmJjb3MuY29tLyJdLCJhbXIiOlsiZXh0ZXJuYWwiXSwiY2xpZW50X2lkIjoiY29zZXhwbG9yZXJ1aSIsInN1YiI6ImNjY2E0OTUwLTY3MmEtNDhmZS1iNzUyLTZjNjNmZDFiNjk2ZSIsImF1dGhfdGltZSI6MTc3NjA3NjQxNywiaWRwIjoiQ1JCRW50cmFBY2NvdW50IiwibmFtZSI6InJub3JtaWxlIiwiZ2l2ZW5fbmFtZSI6IlJldXZlbiIsInJvbGUiOlsiVlBOIEFjY2VzcyIsInNlY0RldnNBbGwiLCJkZXZTZWMuRXh0LkRldiIsInNlY0NhcmRBY2Nlc3MiLCIhRGV2ZWxvcGVycyIsInNlY1JvbGVDT1NTYngiLCJzZWNBcmdvQ0RWaWV3ZXJzIiwic2VjUm9sZUNPU0RldiIsInNlY0FXU19SRFAiLCJTZWNBV1NfV1NQIiwic2VjQ2xhdWRlQ29kZURldmVsb3BlcnMiLCJkZXZTZWMuSW50LkRldiJdLCJzaWQiOiJBMEVDNDYzRjhGMzE0RjM0MzdGMUQ2OEY5NjgyMjNDQiIsImp0aSI6IkE0RTA4N0VFRUIyODNBNENGNTE0RUNGMDk3MUMxNEIyIn0.QLxmFznRw6J4XX3b3i7Z9L_f9bF3cS7qykLtj5U6WcTSQG5BYWNsX37YG5UCKTpjWZBEeZH2svFlLHomr_hXBioSkdT2P8q78yMDnc0QHk4E4_jsF7zKAYFtKzMAC8aN2TRUgk-X5uh592WIOMrzi2j1CVP8S_KnL2voabn8KYcqpQ6BnxEQUXxNjGFv3monJtYqHqcrUWiTwMXhG4hIhCWInDnSElhzhf5-5aUS0QBG703qx5oErPg4mPBVoa9wZFDQi9Fa-K0VwOwWcmg6TFbC8E-xKlJUDeXT-07LRaUJCm_k8yocVdaCusevyUO4B-3m0xfkZ1KmuFJGGikPfQ' \\\n--data-raw '{\n    \"productId\": \"31cae717-408e-4813-a6b1-ad6600e48632\",\n    \"accountNumber\": \"2287979807\",\n    \"clientIdentifier\": \"string\",\n    \"firstName\": \"Bob\",\n    \"lastName\": \"Bobbie\",\n    \"address\": {\n        \"street1\": \"101 Main Street\",\n        \"street2\": \"More address info\",\n        \"city\": \"New York\",\n        \"state\": \"NY\",\n        \"postalCode\": \"07666\",\n        \"countryCode\": \"US\"\n    },\n    \"phone\": \"2015551212\",\n    \"emailAddress\": \"mmm@xxx.com\",\n    \"pan\": \"4111111111111111\",\n    \"expirationMonth\": 12,\n    \"expirationYear\": 2030,\n    \"cvv\": \"263\"\n}'"
      },
      {
        "id": "zJdNpmlElrTMusMH2JaS5",
        "language": "nodejs",
        "code": "var https = require('follow-redirects').https;\nvar fs = require('fs');\n\nvar options = {\n  'method': 'POST',\n  'hostname': 'sandbox.crbcos.com',\n  'path': '/cardpayments/v1/cardtokens',\n  'headers': {\n    'Content-Type': 'application/json',\n    'Accept': 'application/json',\n    'Authorization': 'Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IkJSSVlRbmpPXzZac3JSR1dqb2JBNmR2XzNpVSIsIng1dCI6IkJSSVlRbmpPXzZac3JSR1dqb2JBNmR2XzNpVSIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJodHRwczovL2lkcHRlc3QuY3JiY29zLmNvbSIsIm5iZiI6MTc3NjA3NjQxOCwiaWF0IjoxNzc2MDc2NDE4LCJleHAiOjE3NzYwNzgyMTgsImF1ZCI6WyJodHRwczovL2FwaS5jcmJjb3MuY29tLyIsImh0dHBzOi8vaWRwdGVzdC5jcmJjb3MuY29tL3Jlc291cmNlcyJdLCJzY29wZSI6WyJvcGVuaWQiLCJodHRwczovL2FwaS5jcmJjb3MuY29tLyJdLCJhbXIiOlsiZXh0ZXJuYWwiXSwiY2xpZW50X2lkIjoiY29zZXhwbG9yZXJ1aSIsInN1YiI6ImNjY2E0OTUwLTY3MmEtNDhmZS1iNzUyLTZjNjNmZDFiNjk2ZSIsImF1dGhfdGltZSI6MTc3NjA3NjQxNywiaWRwIjoiQ1JCRW50cmFBY2NvdW50IiwibmFtZSI6InJub3JtaWxlIiwiZ2l2ZW5fbmFtZSI6IlJldXZlbiIsInJvbGUiOlsiVlBOIEFjY2VzcyIsInNlY0RldnNBbGwiLCJkZXZTZWMuRXh0LkRldiIsInNlY0NhcmRBY2Nlc3MiLCIhRGV2ZWxvcGVycyIsInNlY1JvbGVDT1NTYngiLCJzZWNBcmdvQ0RWaWV3ZXJzIiwic2VjUm9sZUNPU0RldiIsInNlY0FXU19SRFAiLCJTZWNBV1NfV1NQIiwic2VjQ2xhdWRlQ29kZURldmVsb3BlcnMiLCJkZXZTZWMuSW50LkRldiJdLCJzaWQiOiJBMEVDNDYzRjhGMzE0RjM0MzdGMUQ2OEY5NjgyMjNDQiIsImp0aSI6IkE0RTA4N0VFRUIyODNBNENGNTE0RUNGMDk3MUMxNEIyIn0.QLxmFznRw6J4XX3b3i7Z9L_f9bF3cS7qykLtj5U6WcTSQG5BYWNsX37YG5UCKTpjWZBEeZH2svFlLHomr_hXBioSkdT2P8q78yMDnc0QHk4E4_jsF7zKAYFtKzMAC8aN2TRUgk-X5uh592WIOMrzi2j1CVP8S_KnL2voabn8KYcqpQ6BnxEQUXxNjGFv3monJtYqHqcrUWiTwMXhG4hIhCWInDnSElhzhf5-5aUS0QBG703qx5oErPg4mPBVoa9wZFDQi9Fa-K0VwOwWcmg6TFbC8E-xKlJUDeXT-07LRaUJCm_k8yocVdaCusevyUO4B-3m0xfkZ1KmuFJGGikPfQ'\n  },\n  'maxRedirects': 20\n};\n\nvar req = https.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function (chunk) {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n\n  res.on(\"error\", function (error) {\n    console.error(error);\n  });\n});\n\nvar postData = JSON.stringify({\n  \"productId\": \"31cae717-408e-4813-a6b1-ad6600e48632\",\n  \"accountNumber\": \"2287979807\",\n  \"clientIdentifier\": \"string\",\n  \"firstName\": \"Bob\",\n  \"lastName\": \"Bobbie\",\n  \"address\": {\n    \"street1\": \"101 Main Street\",\n    \"street2\": \"More address info\",\n    \"city\": \"New York\",\n    \"state\": \"NY\",\n    \"postalCode\": \"07666\",\n    \"countryCode\": \"US\"\n  },\n  \"phone\": \"2015551212\",\n  \"emailAddress\": \"mmm@xxx.com\",\n  \"pan\": \"4111111111111111\",\n  \"expirationMonth\": 12,\n  \"expirationYear\": 2030,\n  \"cvv\": \"263\"\n});\n\nreq.write(postData);\n\nreq.end();"
      },
      {
        "id": "s0F_UDYXIIzUDqFeRn20i",
        "language": "python",
        "code": "import http.client\nimport json\n\nconn = http.client.HTTPSConnection(\"sandbox.crbcos.com\")\npayload = json.dumps({\n  \"productId\": \"31cae717-408e-4813-a6b1-ad6600e48632\",\n  \"accountNumber\": \"2287979807\",\n  \"clientIdentifier\": \"string\",\n  \"firstName\": \"Bob\",\n  \"lastName\": \"Bobbie\",\n  \"address\": {\n    \"street1\": \"101 Main Street\",\n    \"street2\": \"More address info\",\n    \"city\": \"New York\",\n    \"state\": \"NY\",\n    \"postalCode\": \"07666\",\n    \"countryCode\": \"US\"\n  },\n  \"phone\": \"2015551212\",\n  \"emailAddress\": \"mmm@xxx.com\",\n  \"pan\": \"4111111111111111\",\n  \"expirationMonth\": 12,\n  \"expirationYear\": 2030,\n  \"cvv\": \"263\"\n})\nheaders = {\n  'Content-Type': 'application/json',\n  'Accept': 'application/json',\n  'Authorization': '••••••'\n}\nconn.request(\"POST\", \"/cardpayments/v1/cardtokens\", payload, headers)\nres = conn.getresponse()\ndata = res.read()\nprint(data.decode(\"utf-8\"))"
      },
      {
        "id": "Szw1ShGa_n230r3Hbkqrq",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://sandbox.crbcos.com/cardpayments/v1/cardtokens\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"Content-Type\"] = \"application/json\"\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Authorization\"] = \"Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IkJSSVlRbmpPXzZac3JSR1dqb2JBNmR2XzNpVSIsIng1dCI6IkJSSVlRbmpPXzZac3JSR1dqb2JBNmR2XzNpVSIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJodHRwczovL2lkcHRlc3QuY3JiY29zLmNvbSIsIm5iZiI6MTc3NjA3NjQxOCwiaWF0IjoxNzc2MDc2NDE4LCJleHAiOjE3NzYwNzgyMTgsImF1ZCI6WyJodHRwczovL2FwaS5jcmJjb3MuY29tLyIsImh0dHBzOi8vaWRwdGVzdC5jcmJjb3MuY29tL3Jlc291cmNlcyJdLCJzY29wZSI6WyJvcGVuaWQiLCJodHRwczovL2FwaS5jcmJjb3MuY29tLyJdLCJhbXIiOlsiZXh0ZXJuYWwiXSwiY2xpZW50X2lkIjoiY29zZXhwbG9yZXJ1aSIsInN1YiI6ImNjY2E0OTUwLTY3MmEtNDhmZS1iNzUyLTZjNjNmZDFiNjk2ZSIsImF1dGhfdGltZSI6MTc3NjA3NjQxNywiaWRwIjoiQ1JCRW50cmFBY2NvdW50IiwibmFtZSI6InJub3JtaWxlIiwiZ2l2ZW5fbmFtZSI6IlJldXZlbiIsInJvbGUiOlsiVlBOIEFjY2VzcyIsInNlY0RldnNBbGwiLCJkZXZTZWMuRXh0LkRldiIsInNlY0NhcmRBY2Nlc3MiLCIhRGV2ZWxvcGVycyIsInNlY1JvbGVDT1NTYngiLCJzZWNBcmdvQ0RWaWV3ZXJzIiwic2VjUm9sZUNPU0RldiIsInNlY0FXU19SRFAiLCJTZWNBV1NfV1NQIiwic2VjQ2xhdWRlQ29kZURldmVsb3BlcnMiLCJkZXZTZWMuSW50LkRldiJdLCJzaWQiOiJBMEVDNDYzRjhGMzE0RjM0MzdGMUQ2OEY5NjgyMjNDQiIsImp0aSI6IkE0RTA4N0VFRUIyODNBNENGNTE0RUNGMDk3MUMxNEIyIn0.QLxmFznRw6J4XX3b3i7Z9L_f9bF3cS7qykLtj5U6WcTSQG5BYWNsX37YG5UCKTpjWZBEeZH2svFlLHomr_hXBioSkdT2P8q78yMDnc0QHk4E4_jsF7zKAYFtKzMAC8aN2TRUgk-X5uh592WIOMrzi2j1CVP8S_KnL2voabn8KYcqpQ6BnxEQUXxNjGFv3monJtYqHqcrUWiTwMXhG4hIhCWInDnSElhzhf5-5aUS0QBG703qx5oErPg4mPBVoa9wZFDQi9Fa-K0VwOwWcmg6TFbC8E-xKlJUDeXT-07LRaUJCm_k8yocVdaCusevyUO4B-3m0xfkZ1KmuFJGGikPfQ\"\nrequest.body = JSON.dump({\n  \"productId\": \"31cae717-408e-4813-a6b1-ad6600e48632\",\n  \"accountNumber\": \"2287979807\",\n  \"clientIdentifier\": \"string\",\n  \"firstName\": \"Bob\",\n  \"lastName\": \"Bobbie\",\n  \"address\": {\n    \"street1\": \"101 Main Street\",\n    \"street2\": \"More address info\",\n    \"city\": \"New York\",\n    \"state\": \"NY\",\n    \"postalCode\": \"07666\",\n    \"countryCode\": \"US\"\n  },\n  \"phone\": \"2015551212\",\n  \"emailAddress\": \"mmm@xxx.com\",\n  \"pan\": \"4111111111111111\",\n  \"expirationMonth\": 12,\n  \"expirationYear\": 2030,\n  \"cvv\": \"263\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
      },
      {
        "id": "IJSUh_sVyOZPSxbz7lZ6I",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"strings\"\n  \"net/http\"\n  \"io\"\n)\n\nfunc main() {\n\n  url := \"https://sandbox.crbcos.com/cardpayments/v1/cardtokens\"\n  method := \"POST\"\n\n  payload := strings.NewReader(`{`+\"\n\"+`\n    \"productId\": \"31cae717-408e-4813-a6b1-ad6600e48632\",`+\"\n\"+`\n    \"accountNumber\": \"2287979807\",`+\"\n\"+`\n    \"clientIdentifier\": \"string\",`+\"\n\"+`\n    \"firstName\": \"Bob\",`+\"\n\"+`\n    \"lastName\": \"Bobbie\",`+\"\n\"+`\n    \"address\": {`+\"\n\"+`\n        \"street1\": \"101 Main Street\",`+\"\n\"+`\n        \"street2\": \"More address info\",`+\"\n\"+`\n        \"city\": \"New York\",`+\"\n\"+`\n        \"state\": \"NY\",`+\"\n\"+`\n        \"postalCode\": \"07666\",`+\"\n\"+`\n        \"countryCode\": \"US\"`+\"\n\"+`\n    },`+\"\n\"+`\n    \"phone\": \"2015551212\",`+\"\n\"+`\n    \"emailAddress\": \"mmm@xxx.com\",`+\"\n\"+`\n    \"pan\": \"4111111111111111\",`+\"\n\"+`\n    \"expirationMonth\": 12,`+\"\n\"+`\n    \"expirationYear\": 2030,`+\"\n\"+`\n    \"cvv\": \"263\"`+\"\n\"+`\n}`)\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, payload)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  req.Header.Add(\"Content-Type\", \"application/json\")\n  req.Header.Add(\"Accept\", \"application/json\")\n  req.Header.Add(\"Authorization\", \"Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IkJSSVlRbmpPXzZac3JSR1dqb2JBNmR2XzNpVSIsIng1dCI6IkJSSVlRbmpPXzZac3JSR1dqb2JBNmR2XzNpVSIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJodHRwczovL2lkcHRlc3QuY3JiY29zLmNvbSIsIm5iZiI6MTc3NjA3NjQxOCwiaWF0IjoxNzc2MDc2NDE4LCJleHAiOjE3NzYwNzgyMTgsImF1ZCI6WyJodHRwczovL2FwaS5jcmJjb3MuY29tLyIsImh0dHBzOi8vaWRwdGVzdC5jcmJjb3MuY29tL3Jlc291cmNlcyJdLCJzY29wZSI6WyJvcGVuaWQiLCJodHRwczovL2FwaS5jcmJjb3MuY29tLyJdLCJhbXIiOlsiZXh0ZXJuYWwiXSwiY2xpZW50X2lkIjoiY29zZXhwbG9yZXJ1aSIsInN1YiI6ImNjY2E0OTUwLTY3MmEtNDhmZS1iNzUyLTZjNjNmZDFiNjk2ZSIsImF1dGhfdGltZSI6MTc3NjA3NjQxNywiaWRwIjoiQ1JCRW50cmFBY2NvdW50IiwibmFtZSI6InJub3JtaWxlIiwiZ2l2ZW5fbmFtZSI6IlJldXZlbiIsInJvbGUiOlsiVlBOIEFjY2VzcyIsInNlY0RldnNBbGwiLCJkZXZTZWMuRXh0LkRldiIsInNlY0NhcmRBY2Nlc3MiLCIhRGV2ZWxvcGVycyIsInNlY1JvbGVDT1NTYngiLCJzZWNBcmdvQ0RWaWV3ZXJzIiwic2VjUm9sZUNPU0RldiIsInNlY0FXU19SRFAiLCJTZWNBV1NfV1NQIiwic2VjQ2xhdWRlQ29kZURldmVsb3BlcnMiLCJkZXZTZWMuSW50LkRldiJdLCJzaWQiOiJBMEVDNDYzRjhGMzE0RjM0MzdGMUQ2OEY5NjgyMjNDQiIsImp0aSI6IkE0RTA4N0VFRUIyODNBNENGNTE0RUNGMDk3MUMxNEIyIn0.QLxmFznRw6J4XX3b3i7Z9L_f9bF3cS7qykLtj5U6WcTSQG5BYWNsX37YG5UCKTpjWZBEeZH2svFlLHomr_hXBioSkdT2P8q78yMDnc0QHk4E4_jsF7zKAYFtKzMAC8aN2TRUgk-X5uh592WIOMrzi2j1CVP8S_KnL2voabn8KYcqpQ6BnxEQUXxNjGFv3monJtYqHqcrUWiTwMXhG4hIhCWInDnSElhzhf5-5aUS0QBG703qx5oErPg4mPBVoa9wZFDQi9Fa-K0VwOwWcmg6TFbC8E-xKlJUDeXT-07LRaUJCm_k8yocVdaCusevyUO4B-3m0xfkZ1KmuFJGGikPfQ\")\n\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := io.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}"
      }
    ],
    "selectedLanguageId": "ckTCt4rHFVdUjg71k-Lxf"
  },
  "results": {
    "languages": [
      {
        "id": "zSKeGucw0Ij9uNyBPihiv",
        "language": "200",
        "code": "{\n    \"id\": \"759f4eab-5400-4e25-9815-b4af0085684e\",\n    \"partnerId\": \"1101a33d-fbd9-4b9e-b169-b29500f12407\",\n    \"productId\": \"29f3022a-ccfc-42eb-aa8f-b29500f13d00\",\n    \"accountNumber\": \"2113556886\",\n    \"masterAccountNumber\": \"2113556886\",\n    \"token\": \"39A99D770B354E63AC4EFAF64E757F24000000\",\n    \"rail\": \"VisaDirect\",\n    \"cardType\": \"Debit\",\n    \"productType\": \"Unknown\",\n    \"authorizationStatus\": \"Approved\",\n    \"statusReasonCode\": \"00\",\n    \"statusReasonDescription\": \"Approved and completed successfully\",\n    \"isAuthorized\": true,\n    \"firstName\": \"Bob\",\n    \"lastName\": \"Bobbie\",\n    \"address\": {\n        \"street1\": \"101 Main Street\",\n        \"street2\": \"More address info\",\n        \"city\": \"New York\",\n        \"state\": \"NY\",\n        \"postalCode\": \"07666\",\n        \"countryCode\": \"US\"\n    },\n    \"isAddressVerified\": true,\n    \"addressVerificationDetails\": {\n        \"avsResponseCode\": \"Y\",\n        \"cvv2ResultCode\": \"M\",\n        \"isCVVMatched\": true\n    },\n    \"accountNameInquiryUsed\": \"Used\",\n    \"accountNameInquiryResult\": \"Match\",\n    \"nameVerificationDetails\": {\n        \"lastNameVerificationStatus\": \"Match\",\n        \"firstNameVerificationStatus\": \"Match\",\n        \"middleNameVerificationStatus\": \"Match\",\n        \"nameVerificationProcessingResult\": \"Name Match Performed\"\n    },\n    \"phone\": \"2015551212\",\n    \"emailAddress\": \"mmm@xxx.com\",\n    \"binNumber\": \"411111\",\n    \"panLastFour\": \"1111\",\n    \"expirationMonth\": 12,\n    \"expirationYear\": 2030,\n    \"cardFingerprint\": \"7BleaDLyA+3nxDUkoX6WjE0GKUHvEniZuoJFFjVd0muNYH4P3VOoV0w5LX3JW4h75OMx50mIRTS6xnpcxLX/2w==\",\n    \"isExpired\": false,\n    \"cardBrand\": \"Visa\",\n    \"capabilities\": {\n        \"fastFundsSupported\": true,\n        \"domesticPushEnabled\": true,\n        \"domesticPullEnabled\": true,\n        \"internationalPushEnabled\": true,\n        \"internationalPullEnabled\": true\n    },\n    \"issuerCountryCode\": \"US\",\n    \"clientIdentifier\": \"string\",\n    \"createdAt\": \"2026-08-23T04:05:43.2992459-04:00\",\n    \"isActive\": true,\n    \"authorizedAt\": \"2026-08-23T04:05:43.5967548-04:00\",\n    \"lastModifiedAt\": \"0001-01-01T00:00:00-04:57\"\n}\n",
        "customLabel": ""
      },
      {
        "id": "W5Gl11RtUiB7WeXh6Hp_d",
        "language": "400",
        "code": "{\n   \"errors\": [\n     {\n       \"code\": 0,\n       \"message\": \"string\"\n     } \n   ] \n}    ",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "zSKeGucw0Ij9uNyBPihiv"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "formDataParameters": [],
    "bodyDataParameters": [
      {
        "name": "accountNumber",
        "kind": "required",
        "type": "string",
        "description": "A number that identifies the account you are using to create this card token ",
        "": "A number that identifies the account you are using to create this card token "
      },
      {
        "name": "clientIdentifier",
        "kind": "optional",
        "type": "string",
        "description": "A string that identifies the client associated with the payment. Max 50 characters",
        "": "A string that identifies the client associated with the payment. Max 50 characters"
      },
      {
        "name": "firstName",
        "kind": "required",
        "type": "string",
        "description": "First name. Min 1 character, max 35 characters",
        "": "First name. Min 1 character, max 35 characters"
      },
      {
        "name": "middleName",
        "kind": "optional",
        "type": "string",
        "description": "Middle name. Min 1 character, max 35 characters",
        "": "Middle name. Min 1 character, max 35 characters"
      },
      {
        "name": "lastName",
        "kind": "required",
        "type": "string",
        "description": "Last name. Min 1 character, max 35 characters",
        "": "Last name. Min 1 character, max 35 characters"
      },
      {
        "name": "address",
        "kind": "optional",
        "type": "object",
        "description": "Address of card holder",
        "": "Address of card holder",
        "children": [
          {
            "name": "street1",
            "kind": "required",
            "type": "string",
            "description": "Address of card holder - Street address line 1. Max length 60"
          },
          {
            "name": "street2",
            "kind": "optional",
            "type": "string",
            "description": "Address of card holder - Street address line 2. Max length 60"
          },
          {
            "name": "city",
            "kind": "required",
            "type": "string",
            "description": "City full name. 50 character maximum"
          },
          {
            "name": "state",
            "kind": "required",
            "type": "string",
            "description": "State code. 2 characters"
          },
          {
            "name": "postalCode",
            "kind": "required",
            "type": "string",
            "description": "Max 10 characters"
          },
          {
            "name": "countryCode",
            "kind": "required",
            "type": "string",
            "description": "2-letter ISO country code"
          }
        ],
        "schema": [
          {
            "name": "street1",
            "kind": "required",
            "type": "string",
            "description": "Address of card holder - Street address line 1. Max length 60"
          },
          {
            "name": "street2",
            "kind": "optional",
            "type": "string",
            "description": "Address of card holder - Street address line 2. Max length 60"
          },
          {
            "name": "city",
            "kind": "required",
            "type": "string",
            "description": "City full name. 50 character maximum"
          },
          {
            "name": "state",
            "kind": "required",
            "type": "string",
            "description": "State code. 2 characters"
          },
          {
            "name": "postalCode",
            "kind": "required",
            "type": "string",
            "description": "Max 10 characters"
          },
          {
            "name": "countryCode",
            "kind": "required",
            "type": "string",
            "description": "2-letter ISO country code"
          }
        ]
      },
      {
        "name": "phone",
        "kind": "optional",
        "type": "string",
        "description": "Valid phone number",
        "": "optional"
      },
      {
        "name": "emailAddress",
        "kind": "optional",
        "type": "string",
        "description": "Valid email address",
        "": "Valid email address"
      },
      {
        "name": "pan",
        "kind": "required",
        "type": "string",
        "description": "Full PAN number. Must be a real valid card number. Length is 12-19 characters depending on the provider.  \nFull PAN is tokenized and not returned in response",
        "": "Full PAN number. Must be a real valid card number. Length is 12-19 characters depending on the provider.  \nFull PAN is tokenized and not returned in response"
      },
      {
        "name": "expirationMonth",
        "kind": "required",
        "type": "integer",
        "description": "Two-digit month. Credit cards expire at the end of the month written on the card",
        "": "integer"
      },
      {
        "name": "expirationYear",
        "kind": "required",
        "type": "integer",
        "description": "Two-digit year",
        "": "integer"
      },
      {
        "name": "cVV",
        "kind": "optional",
        "type": "string",
        "description": "The card verification value on the card",
        "": "cVV"
      }
    ]
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "response": [
    {
      "name": "id",
      "kind": "optional",
      "type": "string",
      "description": "The GUID of the card token you want to retrieve"
    },
    {
      "name": "partnerId",
      "kind": "optional",
      "type": "string",
      "description": "A UUID that identifies the partner, as defined in COS."
    },
    {
      "name": "productId",
      "kind": "optional",
      "type": "string",
      "description": "A UUID that identifies the product, as defined in COS."
    },
    {
      "name": "accountNumber",
      "kind": "optional",
      "type": "string",
      "description": "Account number"
    },
    {
      "name": "masterAccountNumber",
      "kind": "optional",
      "type": "string",
      "description": "The master account number that the card token's account belongs to. If `accountNumber` is a sub-account, this is the parent account it rolls up to; otherwise the two values are the same."
    },
    {
      "name": "token",
      "kind": "optional",
      "type": "string",
      "description": "A randomly generated string of characters that relates to the consumer's payment card (15-38 alphanumeric characters). "
    },
    {
      "name": "rail",
      "kind": "optional",
      "type": "string",
      "description": "The processor that communicates with the card network:\n\n- McSend\n- TabaPay\n- VisaDirect"
    },
    {
      "name": "cardType",
      "kind": "optional",
      "type": "string",
      "description": "The kind of payment card:\n\n- Credit\n- Debit\n- Prepaid\n- Combo\n- ChargeCard\n- DeferredDebit\n- VisaPlus\n- Unknown"
    },
    {
      "name": "productType",
      "kind": "optional",
      "type": "string",
      "description": "Cardholder card type:\n\n- Consumer\n- Commercial\n- Government\n- Business\n- Unknown"
    },
    {
      "name": "authorizationStatus",
      "kind": "optional",
      "type": "string",
      "description": "Responses can be:\n- NotRequired\n- New\n- Pending\n- Approved\n- Rejected\n- Failed"
    },
    {
      "name": "statusReasonCode",
      "kind": "optional",
      "type": "string",
      "description": "A code indicating the reason for certain statuses, particularly useful in rejections or failures."
    },
    {
      "name": "statusReasonDescription",
      "kind": "optional",
      "type": "string",
      "description": "A description explaining the reason code."
    },
    {
      "name": "isAuthorized",
      "kind": "optional",
      "type": "boolean",
      "description": "An indicator on whether or not the card token is authorized"
    },
    {
      "name": "firstName",
      "kind": "optional",
      "type": "string",
      "description": "First name. Min 1 character, max 35 characters"
    },
    {
      "name": "middleName",
      "kind": "optional",
      "type": "string",
      "description": "Middle name. Min 1 character, max 35 characters",
      "children": []
    },
    {
      "name": "lastName",
      "kind": "optional",
      "type": "string",
      "description": "Last name. Min 1 character, max 35 characters"
    },
    {
      "name": "address",
      "kind": "optional",
      "type": "object",
      "description": "Address of card holder",
      "children": [
        {
          "name": "street1",
          "kind": "optional",
          "type": "string",
          "description": "Street address line 1. Max length 60"
        },
        {
          "name": "street2",
          "kind": "optional",
          "type": "string",
          "description": "Street address line 2. Max length 60"
        },
        {
          "name": "city",
          "kind": "optional",
          "type": "string",
          "description": "Name of the city. Max length 60"
        },
        {
          "name": "state",
          "kind": "optional",
          "type": "string",
          "description": "State code. 2 characters"
        },
        {
          "name": "postalCode",
          "kind": "optional",
          "type": "string",
          "description": "Max 10 characters"
        },
        {
          "name": "countryCode",
          "kind": "optional",
          "type": "string",
          "description": "2-letter ISO country code"
        }
      ]
    },
    {
      "name": "isAddressVerified",
      "kind": "optional",
      "type": "boolean",
      "description": "An indicator on whether or not the address was verified"
    },
    {
      "name": "addressVerificationDetails",
      "kind": "optional",
      "type": "object",
      "description": "Detailed results from Address Verification Service (AVS) and CVV2 verification performed during card authorization",
      "children": [
        {
          "name": "avsResponseCode",
          "kind": "optional",
          "type": "string",
          "description": "AVS response code from the card network (e.g., 'Y' for match, 'N' for no match). Max 10 characters"
        },
        {
          "name": "avsResponseDesc",
          "kind": "optional",
          "type": "string",
          "description": "Human-readable description of the AVS response. Max 255 characters"
        },
        {
          "name": "cvv2ResultCode",
          "kind": "optional",
          "type": "string",
          "description": "CVV2 verification result code from the card network. Max 10 characters"
        },
        {
          "name": "isCVVMatched",
          "kind": "optional",
          "type": "boolean",
          "description": "Indicates whether the CVV2 provided matched the card on file"
        }
      ]
    },
    {
      "name": "accountNameInquiryUsed",
      "kind": "optional",
      "type": "string",
      "description": "Indicates whether Cross River tried to contact the ANI service. This attribute value will also let you know if the merchant isn't configured for the ANI service. In that case, we recommend contacting your Cross River relationship manager for details on how to connect to ANI.",
      "children": []
    },
    {
      "name": "accountNameInquiryResult",
      "kind": "optional",
      "type": "string",
      "description": "Indicates whether the initiator-provided card details match fully, partially, or not at all, or if they are unknown. Possible values are:\nMatch\nNo Match\nPartial Match\nUnknown",
      "children": []
    },
    {
      "name": "nameVerificationDetails",
      "kind": "optional",
      "type": "object",
      "description": "Acquirer Network Information (ANI) results for cardholder name verification performed during card authorization",
      "children": [
        {
          "name": "lastNameVerificationStatus",
          "kind": "optional",
          "type": "string",
          "description": "Verification status for the last name (e.g., 'MATCH', 'NO_MATCH', 'NOT_CHECKED')"
        },
        {
          "name": "firstNameVerificationStatus",
          "kind": "optional",
          "type": "string",
          "description": "Verification status for the first name (e.g., 'MATCH', 'NO_MATCH', 'NOT_CHECKED')"
        },
        {
          "name": "middleNameVerificationStatus",
          "kind": "optional",
          "type": "string",
          "description": "Verification status for the middle name (e.g., 'MATCH', 'NO_MATCH', 'NOT_CHECKED')"
        },
        {
          "name": "nameVerificationProcessingResult",
          "kind": "optional",
          "type": "string",
          "description": "Overall processing result for name verification (e.g., 'SUCCESS', 'FAILED')"
        }
      ]
    },
    {
      "name": "phone",
      "kind": "optional",
      "type": "string",
      "description": "Valid phone number"
    },
    {
      "name": "emailAddress",
      "kind": "optional",
      "type": "string",
      "description": "Valid email address"
    },
    {
      "name": "binNumber",
      "kind": "optional",
      "type": "string",
      "description": "The first 4 digits on the card. This identification number indicates the card-issuing bank."
    },
    {
      "name": "panLastFour",
      "kind": "optional",
      "type": "string",
      "description": "Last 4 digits of PAN "
    },
    {
      "name": "expirationMonth",
      "kind": "optional",
      "type": "integer",
      "description": "Two-digit month. Credit cards expire at the end of the month written on the card"
    },
    {
      "name": "expirationYear",
      "kind": "optional",
      "type": "integer",
      "description": "Two-digit year"
    },
    {
      "name": "cardFingerprint",
      "kind": "optional",
      "type": "string",
      "description": "A consistent, opaque identifier for a card without exposing any PAN-related data or risking reversibility",
      "children": []
    },
    {
      "name": "isExpired",
      "kind": "optional",
      "type": "boolean",
      "description": "True if the card is expired"
    },
    {
      "name": "cardBrand",
      "kind": "optional",
      "type": "string",
      "description": "Will be one of the following:\n- AmericanExpress\n- ChinaUnionPay\n- Dankort\n- DinersClub\n- Discover\n- Hipercard\n- JCB\n- Laser\n- Maestro\n- MasterCard\n- RuPay\n- Solo\n- Switch\n- Visa\n- Unknown"
    },
    {
      "name": "capabilities",
      "kind": "optional",
      "type": "object",
      "description": "Capabilities are the actions permitted to do on a specific card, these are returned from the rails when the card is authorized",
      "children": [
        {
          "name": "fastFundsSupported",
          "kind": "optional",
          "type": "boolean",
          "description": "Card network can move the funds to the card immediately"
        },
        {
          "name": "domesticPushEnabled",
          "kind": "optional",
          "type": "boolean",
          "description": "Enabled to push within the US"
        },
        {
          "name": "domesticPullEnabled",
          "kind": "optional",
          "type": "boolean",
          "description": "Enabled to pull within the US"
        },
        {
          "name": "internationalPushEnabled",
          "kind": "optional",
          "type": "boolean",
          "description": "Enabled to push internationally- outside of the US"
        },
        {
          "name": "internationalPullEnabled",
          "kind": "optional",
          "type": "boolean",
          "description": "Enabled to pull internationally- outside of the US. \nNote: internationalPullEnabled - IS NOT YET SUPPORTED ACROSS ALL OF THE RAILS"
        }
      ]
    },
    {
      "name": "issuerCountryCode",
      "kind": "optional",
      "type": "string",
      "description": "ISO country of issuer. Used for domestic/international logic & compliance"
    },
    {
      "name": "clientIdentifier",
      "kind": "optional",
      "type": "string",
      "description": "User reference id. Max 50 characters"
    },
    {
      "name": "createdAt",
      "kind": "optional",
      "type": "string",
      "description": "When token was created"
    },
    {
      "name": "isActive",
      "kind": "optional",
      "type": "boolean",
      "description": "True if the card is active "
    },
    {
      "name": "authorizedAt",
      "kind": "optional",
      "type": "string",
      "description": "When authorized"
    },
    {
      "name": "deActivatedAt",
      "kind": "optional",
      "type": "string",
      "description": "When deactivated"
    },
    {
      "name": "lastModifiedAt",
      "kind": "optional",
      "type": "string",
      "description": "Last update timestamp"
    }
  ],
  "autoGeneratedAnchorSlug": "endpoint-cardpaymentsv1cardtokens",
  "legacyHash": "m_LzttfqmT90GnK-CUNyO"
}
```
:::

